import { Action, Location } from 'history';
import { Reducer } from 'redux';
export type RouterState = {
    location?: Location | null;
    action?: Action | null;
    previousLocations?: {
        location?: Location | null;
        action?: Action | null;
    }[];
    basename?: string;
};
export declare const createRouterReducer: ({ savePreviousLocations, basename, }: {
    savePreviousLocations?: number;
    basename?: string;
}) => Reducer<RouterState>;
